Bug 221643 - x11-toolkits/gtksourceview3 build fails on powerpc64 with redefinition of typedef 'GtkSourceTag'
Summary: x11-toolkits/gtksourceview3 build fails on powerpc64 with redefinition of typ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-20 06:39 UTC by Robin
Modified: 2018-12-06 23:34 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
Build log (18.31 KB, text/plain)
2017-08-20 06:39 UTC, Robin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robin 2017-08-20 06:39:49 UTC
Created attachment 185598 [details]
Build log

Building this port on PowerPC fails with the following error:

In file included from ../../../gtksourceview/gtksource.h:57,
                 from gtksourcecompletionwords.c:41:
../../../gtksourceview/gtksourcetag.h:43: error: redefinition of typedef 'GtkSourceTag'
../../../gtksourceview/gtksourcetypes.h:63: error: previous declaration of 'GtkSourceTag' was here
gmake[6]: *** [Makefile:555: libgtksourcecompletionwords_la-gtksourcecompletionwords.lo] Error 1


GtkSourceTag is defined in gtksourcetypes.h:

typedef struct _GtkSourceTag                    GtkSourceTag;


But then again in gtksourcetag.h, which includes gtksourcetypes.h:

G_DECLARE_DERIVABLE_TYPE (GtkSourceTag, gtk_source_tag,
                          GTK_SOURCE, TAG,
                          GtkTextTag)
Comment 1 Justin Hibbits freebsd_committer 2017-09-21 20:53:00 UTC
This, and every other port that depends on glib/gtk, needs a USES= compiler:c11
Comment 2 commit-hook freebsd_committer 2018-12-06 23:34:47 UTC
A commit references this bug:

Author: linimon
Date: Thu Dec  6 23:33:47 UTC 2018
New revision: 486808
URL: https://svnweb.freebsd.org/changeset/ports/486808

Log:
  Move compiler:c11 to the common USES case to fix the build on powerpc64.

  PR:		221643
  Reported by:	solence at zoho dot eu
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/x11-toolkits/gtksourceview3/Makefile